> ## Documentation Index
> Fetch the complete documentation index at: https://docs.energy.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send templated email

> Send templated email



## OpenAPI

````yaml /api/specs/notification-api.json post /notification/email/v1/templated-emails
openapi: 3.0.0
info:
  title: Lynkwell API
  version: 1.376.0
  description: API Documentation for notification service
servers:
  - url: https://api.lynkwell.com
security: []
tags: []
paths:
  /notification/email/v1/templated-emails:
    post:
      tags:
        - Templated Email
      summary: Send templated email
      description: Send templated email
      requestBody:
        description: Send templated email request body
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendTemplatedEmail'
      responses:
        '202':
          description: Received the request
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - jwt: []
components:
  schemas:
    SendTemplatedEmail:
      additionalProperties: false
      type: object
      properties:
        network:
          type: object
          properties:
            id:
              type: string
          required:
            - id
          additionalProperties: false
        timestamp:
          type: string
          format: date-time
        recipient:
          type: object
          properties:
            type:
              type: string
              enum:
                - Driver
                - SitePartner
                - SitePartnerUser
            id:
              type: string
          required:
            - type
            - id
          additionalProperties: false
        template:
          type: object
          properties:
            id:
              type: string
            customVariables:
              type: object
              additionalProperties: true
          required:
            - id
            - customVariables
        content:
          type: object
          properties:
            type:
              type: string
              enum:
                - text/plain
                - text/html
            value:
              type: string
              minLength: 1
          required:
            - type
            - value
          additionalProperties: false
        subject:
          type: string
      required:
        - recipient
        - template
    ErrorResponse:
      type: object
      properties:
        name:
          type: string
        message:
          type: string
      required:
        - name
        - message
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````